| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# constructorsynopsis

$Revision: 1.2 $

$Date: 2002/06/11 01:19:55 $

constructorsynopsis — A syntax summary for a constructor

## Synopsis

### Content Model

    constructorsynopsis ::=
    (modifier*,methodname?,
     (methodparam+|void),
     exceptionname*)

### Attributes

Common attributes

Name | Type | Default
language | CDATA | None

## Description

A `ConstructorSynopsis` contains the syntax summary of a constructor in an object-oriented programming language. Unlike a `MethodSynopsis`, which it closely resembles, it may not identify a return type and the `MethodName` is optional (in some languages, constructor names can be generated automatically).

### Processing expectations

For the most part, the processing application is expected to generate all of the parenthesis, semicolons, commas, and so on. required in the rendered synopsis.

### Parents

These elements contain constructorsynopsis: `answer`, `appendix`, `application`, `article`, `attribution`, `bibliodiv`, `bibliography`, `bibliomisc`, `blockquote`, `callout`, `caution`, `chapter`, `citation`, `citetitle`, `classsynopsis`, `constraintdef`, `emphasis`, `entry`, `example`, `figure`, `footnote`, `foreignphrase`, `glossary`, `glossdef`, `glossdiv`, `glosssee`, `glossseealso`, `glossterm`, `important`, `index`, `indexdiv`, `informalexample`, `informalfigure`, `itemizedlist`, `lineannotation`, `link`, `listitem`, `literallayout`, `lotentry`, `member`, `msgaud`, `msgexplan`, `msgtext`, `note`, `olink`, `orderedlist`, `para`, `partintro`, `phrase`, `preface`, `procedure`, `productname`, `programlisting`, `qandadiv`, `qandaset`, `question`, `quote`, `refentrytitle`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `remark`, `revdescription`, `screen`, `screeninfo`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `seg`, `setindex`, `sidebar`, `simpara`, `simplesect`, `step`, `synopsis`, `term`, `tip`, `tocback`, `tocentry`, `tocfront`, `ulink`, `variablelist`, `warning`.

### Children

The following elements occur in constructorsynopsis: `exceptionname`, `methodname`, `methodparam`, `modifier`, `void`.

constraintdef |  | contractnum

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.